OpenShot Audio Library | OpenShotAudio: juce::TimeSliceClient Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::TimeSliceClient Class Referenceabstract

`#include <juce_TimeSliceThread.h>`

Inheritance diagram for juce::TimeSliceClient:

## Public Member Functions
virtual | ~TimeSliceClient ()=default
virtual int | useTimeSlice ()=0

## Detailed Description

Used by the TimeSliceThread class.

To register your class with a TimeSliceThread, derive from this class and use the TimeSliceThread::addTimeSliceClient() method to add it to the list.

Make sure you always call TimeSliceThread::removeTimeSliceClient() before deleting your client!

See also
  TimeSliceThread

Definition at line 43 of file juce_TimeSliceThread.h.

## Constructor & Destructor Documentation

## ◆ ~TimeSliceClient()

virtual juce::TimeSliceClient::~TimeSliceClient | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ useTimeSlice()

virtual int juce::TimeSliceClient::useTimeSlice | ( |  | ) |
| pure virtual

Called back by a TimeSliceThread.

When you register this class with it, a TimeSliceThread will repeatedly call this method.

The implementation of this method should use its time-slice to do something that's quick - never block for longer than absolutely necessary.

Returns
  Your method should return the number of milliseconds which it would like to wait before being called again. Returning 0 will make the thread call again as soon as possible (after possibly servicing other busy clients). If you return a value below zero, your client will be removed from the list of clients, and won't be called again. The value you specify isn't a guarantee, and is only used as a hint by the thread - the actual time before the next callback may be more or less than specified. You can force the TimeSliceThread to wake up and poll again immediately by calling its notify() method.

The documentation for this class was generated from the following file:

- juce_TimeSliceThread.h